(Problem) OpenCL Error Mandelbulber V2

  • 7 Replies
  • 142 Views

0 Members and 1 Guest are viewing this topic.

Offline paradoxic

  • *
  • Fractal Freshman
  • *
  • Posts: 3
« on: June 03, 2020, 11:24:16 PM »
First sorry for my poor English, my native language is Brazilian Portuguese.

Hello. I`m new in Fractal Forums community, i`m a brazilian, graduated in System Analysis and Development but my work is graphic designer.

I have used some fractal softwares like Mandelbulb3D and XaoS, i`ve made some fractals in After Effects too.

My question starts here:

I downloaded Mandelbulber V2 a while ago but only recently did I have an interest in actually using it to see how it works and what its capacity is. I realized that it is possible to render fractals using the video card (GPU), which Mandelbulb3D does not (as far as I know).

When i enable in settings the OpenCL Render, i have an error, the error says that i have not opencl platforms installed in my pc.

Error: There are no valid OpenCL platforms in the system

My desktop configurations:

Windows 10 64 bits
Intel Core i3 (Second Generation)
8gb DDR3 RAM
GPU GTX 550 TI (NVIDIA)

I have installed CUDA from Nvidia official site (2,6gb download size)

I searched the internet and found a topic on the mandelbulbd's own github where Buddhi tries to solve the same problem as another user of the program, however, I tried to follow the steps and it didn't solve for me.

In this topic it was said to try to delete OPENCL.DLL from the folder where Mandelbulber was installed, however, without a solution, the problem continues.

I tried some other methods like reinstalling the video card drivers, updating them and nothing resolves. I don't know what else to do, I would love to solve it because when I make any changes I make to the fractal it takes about 2 minutes to render and fix the display frame, I believe that with GPU rendering I would at least be able to work on the more fluid way.

Please Help Me.

THANKS

Linkback: https://fractalforums.org/mandelbulber/14/opencl-error-mandelbulber-v2/3550/

Offline mclarekin

  • *
  • Fractal Freak
  • **
  • Posts: 754
« Reply #1 on: June 04, 2020, 02:20:58 AM »
Mandelbulberv2 requires openCL 1.2,  maybe your GPU GTX 550 TI does not support that openCL version.

Offline paradoxic

  • *
  • Fractal Freshman
  • *
  • Posts: 3
« Reply #2 on: June 04, 2020, 04:04:03 AM »
How can i check the version of OpenCL?

On GPU driver properties i can see OPENCL.DLL, but i can't see the version.

I search in google and not found a list with compatible devices.



Offline mclarekin

  • *
  • Fractal Freak
  • **
  • Posts: 754
« Reply #3 on: June 04, 2020, 09:07:44 AM »
i do not know much about GPUs' but searching the internet it appears that GTX 600 series onwards supports openCL 1.2, so maybe a GTX550 is too old

Offline buddhi

  • *
  • Fractal Friar
  • *
  • Posts: 146
    • Mandelbulber GitHub repository
« Reply #4 on: June 04, 2020, 08:59:53 PM »
GTX 550 Ti doesn't support OpenCL 1.2. It is too old card. https://en.wikipedia.org/wiki/GeForce_500_series
« Last Edit: June 04, 2020, 10:34:24 PM by buddhi »

Offline paradoxic

  • *
  • Fractal Freshman
  • *
  • Posts: 3
« Reply #5 on: June 05, 2020, 06:39:29 AM »
Shit !  :( :( :( :( :( :( :(

I'm sad with this.  :( :( :( :(

I really would like to use Mandelbulber, but apparently I will need a better video card, unfortunately it is almost impossible to use without OPENCL, it is really very slow.

Do you know of any other software I can use to render 3D fractals that would be compatible with my video card? I really like Mandelbulb3D, but it took me about 18 days to render 2 minutes of a 360º fractal video.

Thanks


Offline piotrv

  • *
  • Fractal Friend
  • **
  • Posts: 13
« Reply #7 on: July 07, 2020, 10:40:03 AM »
Shit !  :( :( :( :( :( :( :(
I'm sad with this.  :( :( :( :(

No reason to be.  ;D

Mandelbulber 2.x IS working with OpenCL 1.1 devices if you compile from the source code.

Until 2/2020 I have had a laptop with OpenCL 1.1 hardware and have been able to compile and run the most recent Mandelbulber 2.x version to that date with only minor precision issues for some fractals, using OpenCL for rendering (check my old postings in this forum).

This is not much of an effort for Linux distributions (I tested Debian and Arch), so with some effort you should be able to get it running on MS Windows.
I guess you need to use Visual Studio to compile. I do not use any MS Windows myself.


xx
"Time Span"

Started by cricke49 on Fractal Image Gallery

0 Replies
549 Views
Last post August 02, 2018, 07:05:21 AM
by cricke49
clip
Raspberry Pi OpenCL - bus access error

Started by Micha1982 on Mandelbulber

5 Replies
448 Views
Last post April 17, 2018, 08:21:10 PM
by buddhi
xx
Mandelbulber v2 2.12 - OpenCL

Started by buddhi on Downloads

4 Replies
1942 Views
Last post December 05, 2017, 09:52:27 PM
by knighty
thumbup
Mandelbulber 2.2.16 OpenCL

Started by piotrv on Mandelbulber

2 Replies
537 Views
Last post December 25, 2018, 01:09:32 PM
by Caleidoscope
clip
Mandelbulber and multicore CPU in OpenCL

Started by jeyjey on Mandelbulber

1 Replies
361 Views
Last post October 28, 2018, 11:55:12 AM
by buddhi